﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using C1.Web.Wijmo.Controls.C1Chart;

namespace C1BarChart_Wijmo
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            BarChartSeries series1 = new BarChartSeries();

            Double[] yValues = new Double[] { 1500000, 2550000, 6000000, 300000, 10000000 };
            string[] xValues = new string[] { "Year1", "Year2", "Year3", "Year4", "Year5", };

            series1.Data.X = new ChartXAxisList() { StringValues = xValues };
            series1.Data.Y = new ChartYAxisList() { DoubleValues = yValues };
            series1.Label = "Total Sales";

            C1BarChart1.SeriesList.Add(series1);

            List<ValueLabel> valueLabellist = new List<ValueLabel>();
            Double maxValue = 0;

            for (int i = 0; i < yValues.Length; i++)
            {
                if (yValues[i] > maxValue)
                {
                    maxValue = yValues[i];
                }
            }

            for (int j = 0; j <= maxValue; j += 1000000)
            {
                valueLabellist.Add(new ValueLabel() { Text = (j / 1000).ToString() });
            }

            ChartAxis yAxis = C1BarChart1.Axis.Y;
            yAxis.AnnoMethod = ChartAxisAnnoMethod.ValueLabels;
            yAxis.ValueLabelList.AddRange(valueLabellist);
            yAxis.Text = "Total Sales (x1000)";
            yAxis.AutoMin = false;
            yAxis.AutoMax = false;
            yAxis.AutoMajor = false;
            yAxis.UnitMajor = 1000000;
            yAxis.Max = maxValue;
            yAxis.Min = 0;
        }
    }
}